Skip to main content
Use these operations to manage data verification in Cortex. A verification period asks entity owners to confirm that their entities’ information is accurate. To see or answer verifications for a single entity, use the verification operations under Catalog Entities.

Required permissions

Your API key must have the Configure Verification Periods permission. To answer verifications for entities you don’t own, your API key must have the Verify any entity permission.

Operations

Retrieve verification periods

GET /api/v1/verification-periods

Create a verification period

POST /api/v1/verification-periods

Retrieve a verification period

GET /api/v1/verification-periods/{periodCid}

Update a verification period

PUT /api/v1/verification-periods/{periodCid}

Delete a verification period

DELETE /api/v1/verification-periods/{periodCid}

Retrieve verifications

GET /api/v1/verifications

Verify entities in bulk

PUT /api/v1/verifications
Last modified on September 24, 2026